<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/TentBase/CarTent.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d99/_car_tent_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CarTent.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d99/_car_tent_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html">    1</a></span><span class="keyword">class </span>CarTent <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d6f/class_tent_base.html">TentBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html#aec3de827f2e656e46607561b4dc2bc38">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d6f/class_tent_base.html#aec3de827f2e656e46607561b4dc2bc38">CarTent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {       </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        m_ToggleAnimations.Insert( <span class="keyword">new</span> <a class="code hl_class" href="../../dc/dd9/class_toggle_animations.html">ToggleAnimations</a>(<span class="stringliteral">&quot;EntranceO&quot;</span>, <span class="stringliteral">&quot;EntranceC&quot;</span>, OPENING_0), 0 );</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>            </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        m_ShowAnimationsWhenPitched.Insert( <span class="stringliteral">&quot;Body&quot;</span> );</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <span class="comment">//m_ShowAnimationsWhenPitched.Insert( &quot;EntranceO&quot; );</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        m_ShowAnimationsWhenPitched.Insert( <span class="stringliteral">&quot;Pack&quot;</span> );</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        m_ShowAnimationsWhenPacked.Insert( <span class="stringliteral">&quot;Inventory&quot;</span> );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../df/d74/_container___base_8c.html#ad5a1cff6e4b7f29a2eba925b8dd46d70">m_HalfExtents</a> = <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(1.8, 0.33, 3.4);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html#aa5282116e2faae3057ceffcf11424581">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d6f/class_tent_base.html#aa5282116e2faae3057ceffcf11424581">EEInit</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {       </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        super.EEInit();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html#a08958d354362be5fa3ba5ac2a8d842e6">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d6f/class_tent_base.html#a08958d354362be5fa3ba5ac2a8d842e6">OnItemLocationChanged</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_owner, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_owner)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {       </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        super.OnItemLocationChanged(old_owner, new_owner);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html#a4fbeb030b7e7b52eb935ba0bca81bdf2">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d6f/class_tent_base.html#a4fbeb030b7e7b52eb935ba0bca81bdf2">GetSoundOpen</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;CarTent_Door_Open_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html#a1c6032e02cf70071152b51e59abaccfa">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d6f/class_tent_base.html#a1c6032e02cf70071152b51e59abaccfa">GetSoundClose</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;CarTent_Door_Close_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html#a9660eedc1d26fee73d3dab52933e5539">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d6f/class_tent_base.html#a9660eedc1d26fee73d3dab52933e5539">HasClutterCutter</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">// ADVANCED PLACEMENT</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html#a60571812a36ec2a979d9b3a1fe2f9190">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d6f/class_tent_base.html#a60571812a36ec2a979d9b3a1fe2f9190">IsDeployable</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html#ab5bfef860dd1bb7cf974acffeff26941">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d6f/class_tent_base.html#ab5bfef860dd1bb7cf974acffeff26941">GetDeploySoundset</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;placeCarTent_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d9/d6f/class_tent_base.html#ae8218dfa024e46a2351b65adb5a4566d">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d6f/class_tent_base.html#ae8218dfa024e46a2351b65adb5a4566d">GetLoopDeploySoundset</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;cartent_deploy_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>};</div>
<div class="ttc" id="a_container___base_8c_html_ad5a1cff6e4b7f29a2eba925b8dd46d70"><div class="ttname"><a href="../../df/d74/_container___base_8c.html#ad5a1cff6e4b7f29a2eba925b8dd46d70">m_HalfExtents</a></div><div class="ttdeci">class Container_Base extends ItemBase m_HalfExtents</div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_tent_base_html"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html">TentBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00001">CarTent.c:2</a></div></div>
<div class="ttc" id="aclass_tent_base_html_a08958d354362be5fa3ba5ac2a8d842e6"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html#a08958d354362be5fa3ba5ac2a8d842e6">TentBase::OnItemLocationChanged</a></div><div class="ttdeci">override void OnItemLocationChanged(EntityAI old_owner, EntityAI new_owner)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00021">CarTent.c:21</a></div></div>
<div class="ttc" id="aclass_tent_base_html_a1c6032e02cf70071152b51e59abaccfa"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html#a1c6032e02cf70071152b51e59abaccfa">TentBase::GetSoundClose</a></div><div class="ttdeci">override string GetSoundClose()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00031">CarTent.c:31</a></div></div>
<div class="ttc" id="aclass_tent_base_html_a4fbeb030b7e7b52eb935ba0bca81bdf2"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html#a4fbeb030b7e7b52eb935ba0bca81bdf2">TentBase::GetSoundOpen</a></div><div class="ttdeci">override string GetSoundOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00026">CarTent.c:26</a></div></div>
<div class="ttc" id="aclass_tent_base_html_a60571812a36ec2a979d9b3a1fe2f9190"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html#a60571812a36ec2a979d9b3a1fe2f9190">TentBase::IsDeployable</a></div><div class="ttdeci">override bool IsDeployable()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00045">CarTent.c:45</a></div></div>
<div class="ttc" id="aclass_tent_base_html_a9660eedc1d26fee73d3dab52933e5539"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html#a9660eedc1d26fee73d3dab52933e5539">TentBase::HasClutterCutter</a></div><div class="ttdeci">override bool HasClutterCutter()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00036">CarTent.c:36</a></div></div>
<div class="ttc" id="aclass_tent_base_html_aa5282116e2faae3057ceffcf11424581"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html#aa5282116e2faae3057ceffcf11424581">TentBase::EEInit</a></div><div class="ttdeci">override void EEInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00016">CarTent.c:16</a></div></div>
<div class="ttc" id="aclass_tent_base_html_ab5bfef860dd1bb7cf974acffeff26941"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html#ab5bfef860dd1bb7cf974acffeff26941">TentBase::GetDeploySoundset</a></div><div class="ttdeci">override string GetDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00050">CarTent.c:50</a></div></div>
<div class="ttc" id="aclass_tent_base_html_ae8218dfa024e46a2351b65adb5a4566d"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html#ae8218dfa024e46a2351b65adb5a4566d">TentBase::GetLoopDeploySoundset</a></div><div class="ttdeci">override string GetLoopDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00055">CarTent.c:55</a></div></div>
<div class="ttc" id="aclass_tent_base_html_aec3de827f2e656e46607561b4dc2bc38"><div class="ttname"><a href="../../d9/d6f/class_tent_base.html#aec3de827f2e656e46607561b4dc2bc38">TentBase::CarTent</a></div><div class="ttdeci">void CarTent()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d99/_car_tent_8c_source.html#l00003">CarTent.c:3</a></div></div>
<div class="ttc" id="aclass_toggle_animations_html"><div class="ttname"><a href="../../dc/dd9/class_toggle_animations.html">ToggleAnimations</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7a/_toggle_selections_8c_source.html#l00001">ToggleSelections.c:2</a></div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_ga5bd1deb1c96276d94eeec6fe40955c41"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a></div><div class="ttdeci">proto native vector Vector(float x, float y, float z)</div><div class="ttdoc">Vector constructor from components.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_b819c1b020f40fc10a2588a9962058d1.html">TentBase</a></li><li class="navelem"><a class="el" href="../../dd/d99/_car_tent_8c.html">CarTent.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
